
Redmine - Defect #7377

Updating an Issue with custom fields set fails in V.1.1.0

2011-01-19 19:23 - Siegfried Vogel

Status: Closed Start date: 2011-01-19

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 1.1.0

Description

The fix mentioned in related Ticket: #6403

is not working for me. (Redmine V.1.1.0)

When I enter into the console:

issue = Issue.find(1)

issue.custom_field_values[1] = dummy_value

issue.save!

 I get this error:

NoMethodError: undefined method `save' for nil:NilClass

   from /usr/share/redmine/vendor/rails/activesupport/lib/active_support/callbacks.rb:180:in `to_p

roc'

   from /usr/share/redmine/vendor/plugins/acts_as_customizable/lib/acts_as_customizable.rb:94:in `

each'

   from /usr/share/redmine/vendor/plugins/acts_as_customizable/lib/acts_as_customizable.rb:94:in `

save_custom_field_values'

   from /usr/share/redmine/vendor/rails/activesupport/lib/active_support/callbacks.rb:178:in `send

'

   from /usr/share/redmine/vendor/rails/activesupport/lib/active_support/callbacks.rb:178:in `eval

uate_method'

   from /usr/share/redmine/vendor/rails/activesupport/lib/active_support/callbacks.rb:166:in `call

'

   from /usr/share/redmine/vendor/rails/activesupport/lib/active_support/callbacks.rb:93:in `run'

   from /usr/share/redmine/vendor/rails/activesupport/lib/active_support/callbacks.rb:92:in `each'

   from /usr/share/redmine/vendor/rails/activesupport/lib/active_support/callbacks.rb:92:in `send'

   from /usr/share/redmine/vendor/rails/activesupport/lib/active_support/callbacks.rb:92:in `run'

   from /usr/share/redmine/vendor/rails/activesupport/lib/active_support/callbacks.rb:276:in `run_

callbacks'

   from /usr/share/redmine/vendor/rails/activerecord/lib/active_record/callbacks.rb:344:in `callba

ck'

   from /usr/share/redmine/vendor/rails/activerecord/lib/active_record/callbacks.rb:251:in `create

_or_update'

   from /usr/share/redmine/vendor/rails/activerecord/lib/active_record/base.rb:2555:in `save_witho

ut_validation!'

   from /usr/share/redmine/vendor/rails/activerecord/lib/active_record/validations.rb:1088:in `sav

e_without_dirty!'

   from /usr/share/redmine/vendor/rails/activerecord/lib/active_record/dirty.rb:87:in `save_withou

t_transactions!'

   from /usr/share/redmine/vendor/rails/activerecord/lib/active_record/transactions.rb:200:in `sav

e!'

   from /usr/share/redmine/vendor/rails/activerecord/lib/active_record/connection_adapters/abstrac

t/database_statements.rb:136:in `transaction'

   from /usr/share/redmine/vendor/rails/activerecord/lib/active_record/transactions.rb:182:in `tra

nsaction'

   from /usr/share/redmine/vendor/rails/activerecord/lib/active_record/transactions.rb:200:in `sav

e!'

   from /usr/share/redmine/vendor/rails/activerecord/lib/active_record/transactions.rb:208:in `rol

lback_active_record_state!'

   from /usr/share/redmine/vendor/rails/activerecord/lib/active_record/transactions.rb:200:in `sav
e!'

   from (irb):8>> /usr/share/redmine/vendor/rails/activesupport/lib/active_support/callbacks.rb

Related issues:

Related to Redmine - Defect #6403: Updating an issue with custom fields fails Closed 2010-09-15

History

#1 - 2011-01-21 15:40 - Siegfried Vogel

I'm stuck. Is there some sample code showing how I am supposed to add a new Issue with some custom fields in a Redmine plugin?

Thanks a lot for your help!

#2 - 2011-01-28 09:43 - Stefan Langenmaier

You need to save the custom fields with an extra command before you can save the issue.

issue.save_custom_field_values

 And double check that you have set all custom values that are required!

#3 - 2011-04-18 07:56 - Toshi MARUYAMA

- Category set to Custom fields

#4 - 2017-02-12 07:30 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Cant reproduce

Redmine 1.1.0 is very old and no longer supported.

Please create a new issue if the problem persists in the latest version of Redmine.
